Bug 10553 - Public lists not available from OPAC login page
Summary: Public lists not available from OPAC login page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-08 18:32 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10553 - Public lists not available from OPAC login page (1.39 KB, patch)
2013-07-08 18:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10553 - Public lists not available from OPAC login page (1.47 KB, patch)
2013-07-18 03:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 10553 - Public lists not available from OPAC login page (1.58 KB, patch)
2013-07-18 07:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-07-08 18:32:10 UTC
If as a non-logged-in user you try to access public lists from the lists button on the OPAC login page it will say there are no public lists. In fact the list of public lists is not made available to the login page by Auth.pm.
Comment 1 Owen Leonard 2013-07-08 18:52:48 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-07-09 06:23:27 UTC
Hi Owen, I haven't tested this, but I think there might be one case where we don't want to show any lists on the login page: when the opac is not public, but requires login for searching. Do you think this could be taken into account?
Comment 3 Owen Leonard 2013-07-09 12:01:59 UTC
If OpacPublic is set to make the OPAC not public the lists button does not appear at all.
Comment 4 Katrin Fischer 2013-07-09 12:36:45 UTC
Cool, thx Owen.
Comment 5 Liz Rea 2013-07-18 03:01:21 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2013-07-18 07:09:52 UTC
Created attachment 19749 [details] [review]
Bug 10553 - Public lists not available from OPAC login page

If you are not logged in to the OPAC, looking at the login page, and you
click the Lists button to see public lists it says there are none. This
patch corrects Auth.pm so that it loads the list of public lists in this
situation.

To test you must have at least one public list. Make sure you are logged
out of the OPAC and visit the login page (/cgi-bin/koha/opac-user.pl).
Clicking the "Lists" button should show you a list of public shelves.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
works as described, and list button is not shown when opacpublic is disabled.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2013-07-18 07:23:00 UTC
QA Comment:
Works as advertised.
Small change. Looks good to me.
No complaints from koha-qa, no new warnings in log.
Redefinition of $pubshelves in checkauth is not on same scope level.

Passed QA
Comment 8 Galen Charlton 2013-07-18 16:31:12 UTC
Pushed to master.  Thanks, Owen!
Comment 9 Bernardo Gonzalez Kriegel 2013-09-13 21:24:20 UTC
Pushed to 3.10.x, will be in 3.10.11
Already present on 3.12.4
Comment 10 Chris Hall 2013-09-15 05:32:33 UTC
Pushed to 3.8.x, will be in 3.8.18